漏洞信息详情

Wu-ftpd错误配置路径导致通过SITE EXEC可执行系统命令漏洞

  • CNNVD编号:CNNVD-199511-002
  • 危害等级: 超危
  • CVE编号: CVE-1999-0080
  • 漏洞类型: 未知
  • 发布时间: 1995-11-30
  • 威胁类型: 远程
  • 更新时间: 2006-11-16
  • 厂        商: washington_university
  • 漏洞来源: Olaf Kirch※ okir@s...

漏洞简介

Washington University FTP Server是一个非常流行的Unix系统下的FTP服务器。很多Unix和Linux的发行版本都把它作为默认安装的FTP服务器。 由于配置文件pathnames.h的错误配置,一些Wu-ftpd 2.4.1和更早的二进制发行版本允许攻击者有个FTP账号即可获得root访问权限。 由于pathnames.h错误的设置了_PATH_EXECPATH为/bin,这个路径对应匿名用户是相对于~ftp,但是对于其它FTP账号是对应于/,就是实际的/bin。如果Wu-ftpd的SITE EXEC功能打开的话,用户就可能以root用户的权限运行系统命令,比如执行/bin/sh。

漏洞公告

临时解决方法: 如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:

* 关闭Wu-ftpd的SITE EXEC功能。

* 控制FTP账号,不允许不可信的用户登录访问FTP服务器。 厂商补丁: Washington University --------------------- 目前厂商已经在最新版本的软件中修复了这个安全问题,请到厂商的主页下载:

ftp://ftp.wu-ftpd.org

参考网址

Vulnerable software and versionsConfiguration 1OR* cpe:/a:washington_university:wu-ftpd:2.4* Denotes Vulnerable Software* Changes related to vulnerability configurations Technical DetailsVulnerability Type (View All) CVE Standard Vulnerability Entry:http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0080

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多